<?php

/*
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 */

$APIS = [
    "ping" => [
        "load" => "ping.php",
        "vars" => [
        ]
    ],
    "gis/geocode" => [
        "load" => "gis.geocode.php",
        "vars" => [
            "address" => "",
            "nocache (optional)" => ""
        ]
    ],
    "gis/geocode/reverse" => [
        "load" => "gis.geocode.reverse.php",
        "vars" => [
            "latitude" => "/\-?[0-9]{1,3}(\.[0-9]{0,10})?/",
            "longitude" => "/\-?[0-9]{1,3}(\.[0-9]{0,10})?/"
        ]
    ],
    "gis/streetautocomplete" => [
        "load" => "gis.streetautocomplete.php",
        "vars" => [
            "street" => "",
            "zip" => ""
        ]
    ],
    "gis/fixphrase" => [
        "load" => "gis.fixphrase.php",
        "vars" => [
            "words (optional)" => "",
            "latitude (optional)" => "/\-?[0-9]{1,3}(\.[0-9]{0,10})?/",
            "longitude (optional)" => "/\-?[0-9]{1,3}(\.[0-9]{0,10})?/"
        ]
    ],
    "gis/geoip" => [
        "load" => "net.geoip.php",
        "vars" => [
            "ip (optional)" => ""
        ]
    ],
    "gis/weather" => [
        "load" => "gis.weather.php",
        "vars" => [
            "latitude" => "/\-?[0-9]{1,3}(\.[0-9]{0,10})?/",
            "longitude" => "/\-?[0-9]{1,3}(\.[0-9]{0,10})?/",
            "nocache (optional)" => ""
        ]
    ],
    "logistics/tracking" => [
        "load" => "logistics.tracking.php",
        "vars" => [
            "code" => "",
            "carrier (optional)" => ""
        ]
    ],
    "net/contactspam" => [
        "load" => "net.contactspam.php",
        "vars" => [
            "message (optional)" => "",
            "email (optional)" => "",
            "ipaddr (optional)" => "",
            "domain (optional)" => ""
        ]
    ],
    "net/contactspam/submit" => [
        "load" => "net.contactspam.submit.php",
        "vars" => [
            "email (optional)" => "",
            "ipaddr (optional)" => ""
        ]
    ],
    "net/geoip" => [
        "load" => "net.geoip.php",
        "vars" => [
            "ip (optional)" => ""
        ]
    ],
    "net/whois" => [
        "load" => "net.whois.php",
        "vars" => [
            "domain" => "/\b((?=[a-z0-9-]{1,63}\.)(xn--)?[a-z0-9]+(-[a-z0-9]+)*\.)+[a-z]{2,63}\b/",
            "nocache (optional)" => ""
        ]
    ],
    "notary/publishkey" => [
        "load" => "notary.publishkey.php",
        "vars" => [
            "publickey" => "/-----BEGIN PGP PUBLIC KEY BLOCK-----(\n.*)+-----END PGP PUBLIC KEY BLOCK-----/"
        ]
    ],
    "notary/fetchkey" => [
        "load" => "notary.fetchkey.php",
        "vars" => [
            "fingerprint" => "/[a-fA-F0-9]+/"
        ]
    ]
];
